<?php 
include("h3.php");
if(!isset($_POST['flagadd']))
{
	$flagadd=$_GET['flagadd'];
}else{
	$flagadd=$_POST['flagadd'];
}

if(!isset($_POST['flag_delete']))
{
	$flag_delete=$_GET['flag_delete'];
}else{
	$flag_delete=$_POST['flag_delete'];
}


if(!isset($_POST['NewsID']))
{
	$NewsID=$_GET['NewsID'];
}else{
	$NewsID=$_POST['NewsID'];
}

//echo "$flagadd,$NewsID";
    date_default_timezone_set('Asia/Bangkok');
	$date = date("Y/m/d");
	$date2 = date("d/m/Y");
	$dateDB = date("d-m-Y");	
//------START--DEL
if($flag_delete){
include('connectsmss.php');  //ไฟล์เชื่อมต่อกับ database ที่เราได้สร้างไว้ก่อนหน้า

      $subNewsID=$_GET['subNewsID'];
	  echo "<CENTER>Deleted OK</CENTER>";
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql_del="DELETE FROM sub_news_picture WHERE sub_id=$subNewsID";
		$dbquery = mysqli_query($con, $sql_del);

	    //odbc_close($conn);
}
//------END ---  DEL

//--start---flag add
if($flagadd){
include('connectsmss.php');  //ไฟล์เชื่อมต่อกับ database ที่เราได้สร้างไว้ก่อนหน้า

//$fileupload = $_REQUEST['fileupload']; //รับค่าไฟล์จากฟอร์ม	
	$Comment=$_POST['Comment'];
	$PictureNote=$_POST['PictureNote'];

$rootDIR= $_SERVER['DOCUMENT_ROOT'];
$file=$_FILES['fileupload'];
$place2place="images"; //ระบุตำแหน่งที่เก็บไฟล์

echo "<CENTER>ชื่อของไฟล์ คือ ".$file['name']."<br>";
echo "ขนาดของไฟล์ คือ ".$file['size']."<br>";
echo "เนื้อหาของไฟล์ คือ ".$file['tmp_name']."<br>";
echo "ชนิดของไฟล์ คือ ".$file['type']."<br><br></CENTER>";

//เอาชื่อไฟล์เก่าออกให้เหลือแต่นามสกุล
$type = strrchr($_FILES['fileupload']['name'],".");
$text="NewsPic";	
//ตั้งชื่อไฟล์ใหม่โดยเอาเวลาไว้หน้าชื่อไฟล์เดิม
$numrand = (mt_rand());
$newname = $text.$numrand.$type;
$file['name']=$newname;
//$path_copy=$path.$newname;
//$path_link="picture_upload/".$newname;

if(@copy($file[tmp_name],"$rootDIR/$place2place/".$file[name]))
{
if(eregi("^image",$file['type']))
//echo "<img src=\"/$place2place/$file[name]\">";
echo "<CENTER>----COMPLETE----</CENTER>";
else
echo "<a href=\"/$place2place/$file[name]\">$file[name] </a>";
}
else
echo "ไม่มีทาง";

	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql="INSERT INTO sub_news_picture  (news_id,picture_file,picture_path,comment,like_count,picture_note)  VALUES ('$NewsID','$newname','$place2place','$Comment',0,'$PictureNote')";
	$dbquery = mysqli_query($con, $sql);

	
//	if($result){
	echo "<CENTER><u><strong>UPLOAD  Complete</strong></u></CENTER><BR>";

//end upload code
}
//--end  flag add
include('connectsmss.php');  //ไฟล์เชื่อมต่อกับ database ที่เราได้สร้างไว้ก่อนหน้า

$sqlm="SELECT * FROM news_master WHERE news_id=$NewsID";
$result = mysqli_query($con, $sqlm); 
$row = mysqli_fetch_array($result);
		$NewsID=$row["news_id"];
		$Title=$row["title"];
		$detail=$row["detail"];
		$Auther=$row["auther"];
		$AC_Status=$row["active_status"];
		if($AC_Status) $showtext="Show";
		else $showtext="Hidden";
?>
<center>
<br>
<?php
if($emp_name<>""&&$error<>1){
?>
<H2>รายการรูปภาพประกอบข่าว</H2>
<table width=90% class=Round3>
<tr bgcolor=#ccffff>
	<td align=center>ลำดับ</td><TD align=center>Comment ภาพ</TD><TD align=center>ที่มา</TD><TD align=center>Edit</TD>
</tr>

<?php

$sql2="SELECT * FROM sub_news_picture WHERE news_id=$NewsID";
$result = mysqli_query($con, $sql2); 
$i=1;
while($row = mysqli_fetch_array($result)) { 	
		$subNewsID=$row["sub_id"];
		$Comment=$row["comment"];
		$PictureNote=$row["picture_note"];
?>
<tr>
	<td align=center>
	<?php 
	     echo "$i";
	?>
	</TD>
	<td>
	<?php 
	echo "$Comment";
	?></TD>
	<td>
	<?php 
			echo "$PictureNote";
	?>
	</TD>
	<td align=center>
	<?php
	echo "<a href=\"pre_add_media.php?flag_delete=1&flagadd=0&NewsID=$NewsID&subNewsID=$subNewsID\">del</a>";
	?>
	</TD>
</TR>
<?php
		$i++;
}

?>
</table><br>
<table width=90% class=Round4>
<tr><td align=center>
<CENTER><H2>เพิ่ม media  ใน POST  หัวข้อข่าวหลัก</H2></CENTER>
<table width=90% class=Round3>
<tr><td>หัวข้อข่าว</TD>
<td><?php  echo  "<strong>$Title</strong>";?>
</TD></TR>
<tr><td>รายละเอียด</TD>
<td>
<?php  
echo  "$detail"; 
?>
</TD></TR>
</TABLE>
<br><HR width=60%>
<form action="pre_add_media.php?flagadd=1&flag_delete=0" method="post" enctype="multipart/form-data" name="upfile" id="upfile">
<?php
  echo "<input type=\"hidden\" name=\"NewsID\" value=$NewsID>";
  ?>
  <table width="89%" class=Round1>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT width=20%>คำอธิบายย่อย</TD>
  <TD><INPUT type="TEXT" size=55 name="Comment"></TD>
  </TR>
  <TR bgcolor=#00ccff>
  <TD align=RIGHT>ที่มาขอรูปภาพ</TD>
  <TD><INPUT type="TEXT" size=55 name="PictureNote"></TD>
  </TR>

	<tr>
      <td height="40" colspan="2" align="center" bgcolor="#66ffff">Upload&nbsp;Picture or File</td>
    </tr>
    <tr>
      <td align="center" bgcolor="#cccccc">File Browser</td>
      <td bgcolor="#99ff66"><label>
        <input type="file" name="fileupload" id="fileupload"  required="required"/>
      </label></td>
    </tr>
    <tr>
      <td bgcolor="#EDEDED">&nbsp;</td>
      <td bgcolor="#EDEDED"><input type="submit" name="button" id="button" value="Upload file" /></td>
    </tr>

  </table>
</form>
<?php
		echo "<a href=\"list_post_news.php\">Back to list Post</a>";
?>
</center>

</td></tr></table>
<BR>
<?php
}
else{
      echo  "<CENTER>คุณไม่ผ่านการ Login /คุณคือไม่ได้รับสิทธิ์ในการใช้งาน?...</CENTER>";
      echo  "<CENTER><a href=\"index.php\">กลับสู่หน้า Login  อีกครั้ง</a></CENTER>";
}
?>

</center>
<?php 
include("button.php");
?>
